/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2004 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Johannes Schlueter                                           |
  +----------------------------------------------------------------------+
*/

/* $Id: php_idn.h,v 1.1 2004/04/26 15:41:17 johannes Exp $ */

#ifndef PHP_IDN_H
#define PHP_IDN_H

extern zend_module_entry idn_module_entry;
#define phpext_idn_ptr &idn_module_entry

#ifdef PHP_WIN32
#define PHP_IDN_API __declspec(dllexport)
#else
#define PHP_IDN_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(idn);
PHP_MSHUTDOWN_FUNCTION(idn);
PHP_RINIT_FUNCTION(idn);
PHP_RSHUTDOWN_FUNCTION(idn);
PHP_MINFO_FUNCTION(idn);

PHP_FUNCTION(idn_to_ascii);
PHP_FUNCTION(idn_to_utf8);

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(idn)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(idn)
*/

/* In every utility function you add that needs to use variables 
   in php_idn_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as IDN_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define IDN_G(v) TSRMG(idn_globals_id, zend_idn_globals *, v)
#else
#define IDN_G(v) (idn_globals.v)
#endif

#endif	/* PHP_IDN_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
